Package wx :: Class VScrolledWindow

[frames | no frames]

## Type VScrolledWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            VScrolledWindow

Known Subclasses:
  `VListBox`

Proxy of C++ VScrolledWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
size_t | `FindFirstFromBottom(self, lineLast, fullyVisible)`
size_t | `GetFirstVisibleLine(self)`
size_t | `GetLastVisibleLine(self)`
size_t | `GetLineCount(self)`
int | `GetLinesHeight(self, lineMin, lineMax)`
size_t | `GetVisibleBegin(self)`
size_t | `GetVisibleEnd(self)`
int | ``HitTest`(self, pt)` Test where the given (in client coords) point lies
int | ``HitTestXY`(self, x, y)` Test where the given (in client coords) point lies
bool | `IsVisible(self, line)`
| `RefreshAll(self)`
| `RefreshLine(self, line)`
| `RefreshLines(self, from, to)`
bool | `ScrollToLine(self, line)`
| `SetLineCount(self, count)`

Property Summary
| `FirstVisibleLine`: See `GetFirstVisibleLine`
| `LastVisibleLine`: See `GetLastVisibleLine`
| `LineCount`: See `GetLineCount` and `SetLineCount`
| `thisown`: The membership flag
| `VisibleBegin`: See `GetVisibleBegin`
| `VisibleEnd`: See `GetVisibleEnd`

Instance Method Details

### __init__(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0, name=PanelNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Panel.__init__` (inherited documentation)

### Create(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0, name=PanelNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Panel.Create` (inherited documentation)

### HitTest(self, pt)

Test where the given (in client coords) point lies

  Parameters:
    `pt`
    (type=Point)

  Returns:
    int
  Overrides:
    `wx.Window.HitTest`

### HitTestXY(self, x, y)

Test where the given (in client coords) point lies

  Parameters:
    `x`
    (type=int)

    `y`
    (type=int)

  Returns:
    int
  Overrides:
    `wx.Window.HitTestXY`

Property Details

### FirstVisibleLine

See `GetFirstVisibleLine`

  Get Method:
    `GetFirstVisibleLine`(self)

### LastVisibleLine

See `GetLastVisibleLine`

  Get Method:
    `GetLastVisibleLine`(self)

### LineCount

See `GetLineCount` and `SetLineCount`

  Get Method:
    `GetLineCount`(self)
  Set Method:
    `SetLineCount`(self, count)

### thisown

The membership flag

### VisibleBegin

See `GetVisibleBegin`

  Get Method:
    `GetVisibleBegin`(self)

### VisibleEnd

See `GetVisibleEnd`

  Get Method:
    `GetVisibleEnd`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:33 2007 | http://epydoc.sf.net